"use strict";
// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
// noinspection DuplicatedCode
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnexpectedDataAPIResponseError = void 0;
class UnexpectedDataAPIResponseError extends Error {
        constructor(message, rawDataAPIResponse) {
        try {
            super(`${message}\n\nRaw Data API response: ${JSON.stringify(rawDataAPIResponse)}`);
                        Object.defineProperty(this, "rawDataAPIResponse", {
                enumerable: true,
                configurable: true,
                writable: true,
                value: void 0
            });
        }
        catch (_) {
            super(`${message}\n\nRaw Data API response: ${rawDataAPIResponse}`);
        }
        this.rawDataAPIResponse = rawDataAPIResponse;
        this.name = 'UnexpectedDataAPIResponseError';
    }
    static require(val, message, rawDataAPIResponse) {
        if (val === null || val === undefined) {
            throw new UnexpectedDataAPIResponseError(message, rawDataAPIResponse);
        }
        return val;
    }
}
exports.UnexpectedDataAPIResponseError = UnexpectedDataAPIResponseError;
