"use strict";
// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmbeddingAPIKeyHeaderProvider = void 0;
const index_js_1 = require("../../../../lib/headers-providers/index.js");
const utils_js_1 = require("../../../../lib/utils.js");
const utils_js_2 = require("../../../../documents/utils.js");
class EmbeddingAPIKeyHeaderProvider extends index_js_1.StaticHeadersProvider {
        constructor(apiKey) {
        const headers = (!(0, utils_js_1.isNullish)(apiKey))
            ? { 'x-embedding-api-key': apiKey }
            : {};
        super(headers);
    }
        static parse(provider, field) {
        if (typeof provider === 'string' || (0, utils_js_1.isNullish)(provider)) {
            return new EmbeddingAPIKeyHeaderProvider(provider);
        }
        if (provider instanceof index_js_1.HeadersProvider) {
            return provider;
        }
        throw (0, utils_js_2.mkWrongTypeError)(field ?? 'embedding api key', 'string | HeadersProvider<\'embedding\'> | nullish', provider);
    }
}
exports.EmbeddingAPIKeyHeaderProvider = EmbeddingAPIKeyHeaderProvider;
