"use strict";
// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
var _StaticTokenProvider_token;
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaticTokenProvider = void 0;
const tslib_1 = require("tslib");
const token_provider_js_1 = require("../../lib/token-providers/token-provider.js");
const index_js_1 = require("../../lib/headers-providers/index.js");
class StaticTokenProvider extends token_provider_js_1.TokenProvider {
        constructor(token) {
        super();
        _StaticTokenProvider_token.set(this, void 0);
        tslib_1.__classPrivateFieldSet(this, _StaticTokenProvider_token, token, "f");
    }
        getToken() {
        return tslib_1.__classPrivateFieldGet(this, _StaticTokenProvider_token, "f");
    }
        toHeadersProvider() {
        // eslint-disable-next-line @typescript-eslint/no-this-alias -- necessary in this case
        const tp = this;
        const hp = new (class extends index_js_1.PureHeadersProvider {
            getHeaders(ctx) {
                return tp._mkAuthHeader(ctx)(tp.getToken());
            }
        })();
        return index_js_1.HeadersProvider.opts.fromObj.parse(hp);
    }
}
exports.StaticTokenProvider = StaticTokenProvider;
_StaticTokenProvider_token = new WeakMap();
