// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
import { LIB_NAME, LIB_VERSION } from '../../version.js';
export const CLIENT_USER_AGENT = LIB_NAME + '/' + LIB_VERSION;
export const HttpMethods = {
    Get: 'GET',
    Post: 'POST',
    Delete: 'DELETE',
};
export const DEFAULT_KEYSPACE = 'default_keyspace';
export const DEFAULT_DATA_API_AUTH_HEADER = 'Token';
export const DEFAULT_DEVOPS_API_AUTH_HEADER = 'Authorization';
export const DEFAULT_DEVOPS_API_ENDPOINTS = {
    prod: 'https://api.astra.datastax.com/v2',
    test: 'https://api.test.cloud.datastax.com/v2',
    dev: 'https://api.dev.cloud.datastax.com/v2',
};
export const DEFAULT_DATA_API_PATHS = {
    astra: 'api/json/v1',
    dse: 'v1',
    hcd: 'v1',
    cassandra: 'v1',
    other: 'v1',
};
