// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
import { array, boolean, inexact, oneOf, optional } from 'decoders';
import { monoids } from '../../../lib/opts-handlers.js';
export const serDesDecoders = {
    codecs: optional(array(array(inexact({ tag: oneOf(['forName', 'forPath', 'forType', 'custom']) })))),
    mutateInPlace: optional(boolean),
};
export const serdesMonoidSchema = {
    codecs: monoids.prependingArray(),
    mutateInPlace: monoids.optional(),
};
export const serDesTransform = (input) => ({
    codecs: input.codecs ?? [],
    mutateInPlace: input.mutateInPlace,
});
