// Copyright Datastax, Inc
// SPDX-License-Identifier: Apache-2.0
import { HeadersProvider, StaticHeadersProvider } from '../../../../lib/headers-providers/index.js';
import { isNullish } from '../../../../lib/utils.js';
import { mkWrongTypeError } from '../../../../documents/utils.js';
export class RerankingAPIKeyHeaderProvider extends StaticHeadersProvider {
        constructor(apiKey) {
        const headers = (!isNullish(apiKey))
            ? { 'x-rerank-api-key': apiKey }
            : {};
        super(headers);
    }
        static parse(provider, field) {
        if (typeof provider === 'string' || isNullish(provider)) {
            return new RerankingAPIKeyHeaderProvider(provider);
        }
        if (provider instanceof HeadersProvider) {
            return provider;
        }
        throw mkWrongTypeError(field ?? 'reranking api key', 'string | HeadersProvider<\'reranking\'> | nullish', provider);
    }
}
